# _SCINTILLA

Scintilla constants, functions, and properties.
Do not modify anything in this module. Doing so will result in instability.

- - -

## Functions

- - -

<a id="next_indic_number"></a>
### `next_indic_number` ()

Returns a unique indicator number.
Use this function for custom indicators in order to prevent clashes with
identifiers of other custom indicators.

Usage:

* `local indic_num = _SCINTILLA.next_indic_number()`

See also:

* [`buffer.indic_style`](#buffer.indic_style)

- - -

<a id="next_marker_number"></a>
### `next_marker_number` ()

Returns a unique marker number.
Use this function for custom markers in order to prevent clashes with
identifiers of other custom markers.

Usage:

* `local marknum = _SCINTILLA.next_marker_number()`

See also:

* [`buffer.marker_define`](#buffer.marker_define)

- - -

<a id="next_user_list_type"></a>
### `next_user_list_type` ()

Returns a unique user list type.
Use this function for custom user lists in order to prevent clashes with
type identifiers of other custom user lists.

Usage:

* `local list_type = _SCINTILLA.next_user_list_type()`

See also:

* [`buffer.user_list_show`](#buffer.user_list_show)

- - -


## Tables

- - -

<a id="constants"></a>
### `constants`

Scintilla constants.

- - -

<a id="functions"></a>
### `functions`

Scintilla functions.

- - -

<a id="properties"></a>
### `properties`

Scintilla properties.

- - -

