# view

The currently focused view.
It also represents the structure of any view table in `_G._VIEWS`.

- - -

## Fields

- - -

<a id="size"></a>
### `size` (number)

The position of the split resizer (if this view is part of a split view).

- - -


## Functions

- - -

<a id="view:goto_buffer"></a>
### `view:goto_buffer` (n, relative)

Goes to the specified buffer in the indexed view.
Generates `BUFFER_BEFORE_SWITCH` and `BUFFER_AFTER_SWITCH` events.

Parameters:

* `n`: A relative or absolute buffer index. An absolute index of `-1` goes
  to the last buffer.
* `relative`: Flag indicating if `n` is a relative index or not. The
  default value is `false`.

- - -

<a id="view:split"></a>
### `view:split` (vertical)

Splits the indexed view vertically or horizontally and focuses the new view.

Parameters:

* `vertical`: Flag indicating a vertical split. The default value is
  `false` for horizontal.

Return:

* old view and new view tables.

- - -

<a id="view:unsplit"></a>
### `view:unsplit` ()

Unsplits the indexed view if possible.

Return:

* boolean if the view was unsplit or not.

- - -


## Tables

- - -

<a id="buffer"></a>
### `buffer`

The buffer this view contains. (Read-only)

- - -

